# Conditional build:
%bcond_without	static_libs	# static libraries
Summary:	Conversion tools for .PSF fonts
Summary(pl.UTF-8):	Narzędzia do konwersji czcionek konsolowych
Name:		psftools
Version:	1.1.2
Release:	1
License:	GPL v2+
Group:		Applications/Console
Source0:	https://www.seasip.info/Unix/PSF/%{name}-%{version}.tar.gz
# Source0-md5:	59a8a57decb5c92d3f98304c071464a8
URL:		https://www.seasip.info/Unix/PSF
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake >= 1:1.9
BuildRequires:	tar >= 1:1.22
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PSFTOOLS are designed to manipulate fixed-width bitmap fonts, such
as DOS or Linux console fonts. Both the PSF1 (8 pixels wide) and PSF2
(any width) formats are supported; the default output format is PSF2.

Note that these programs share no code with the Linux console
utilities (kbd).

%description -l pl.UTF-8
PSFTOOLS służą do manipulacji czcionkami bitmapowymi stałej
szerokości, takimi jak DOSowe lub Linuksowe czcionki konsolowe. Oba
formaty PSF1 (szerokości 8 pikseli) i PSF2 (dowolnej szerokości) są
wspierane; domyślnym formatem wyjściowym jest PSF2.

Zauważ, że te programy nie współdzielą żadnego kodu z pakietem kbd.

%package devel
Summary:	Header files for libpsf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libpsf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libspf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libpsf.

%package static
Summary:	Static libpsf library
Summary(pl.UTF-8):	Statyczna biblioteka libpsf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpsf library.

%description static -l pl.UTF-8
Statyczna biblioteka libpsf.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--enable-static=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/libpsf.la


%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc INSTALL NEWS README TODO doc/*txt
%attr(755,root,root) %{_bindir}/ams2psf
%attr(755,root,root) %{_bindir}/bbc2psf
%attr(755,root,root) %{_bindir}/cpi2psf
%attr(755,root,root) %{_bindir}/cpicomp
%attr(755,root,root) %{_bindir}/cpidcomp
%attr(755,root,root) %{_bindir}/fnt2psf
%attr(755,root,root) %{_bindir}/fnt2vfont
%attr(755,root,root) %{_bindir}/fnts2fon
%attr(755,root,root) %{_bindir}/fon2fnts
%attr(755,root,root) %{_bindir}/mda2psf
%attr(755,root,root) %{_bindir}/page2cp2
%attr(755,root,root) %{_bindir}/psf2ams
%attr(755,root,root) %{_bindir}/psf2bbc
%attr(755,root,root) %{_bindir}/psf2bdf
%attr(755,root,root) %{_bindir}/psf2bsd
%attr(755,root,root) %{_bindir}/psf2fnt
%attr(755,root,root) %{_bindir}/psf2inc
%attr(755,root,root) %{_bindir}/psf2pbms
%attr(755,root,root) %{_bindir}/psf2raw
%attr(755,root,root) %{_bindir}/psf2txt
%attr(755,root,root) %{_bindir}/psf2vfont
%attr(755,root,root) %{_bindir}/psf2wof
%attr(755,root,root) %{_bindir}/psf2wyse
%attr(755,root,root) %{_bindir}/psf2xbm
%attr(755,root,root) %{_bindir}/psf2zx
%attr(755,root,root) %{_bindir}/psfjoin
%attr(755,root,root) %{_bindir}/psfmerge
%attr(755,root,root) %{_bindir}/psfpages
%attr(755,root,root) %{_bindir}/psfs2cpi
%attr(755,root,root) %{_bindir}/psfs2mda
%attr(755,root,root) %{_bindir}/psfxform
%attr(755,root,root) %{_bindir}/raw2psf
%attr(755,root,root) %{_bindir}/txt2psf
%attr(755,root,root) %{_bindir}/txt2vfont
%attr(755,root,root) %{_bindir}/vfont2bdf
%attr(755,root,root) %{_bindir}/vfont2fnt
%attr(755,root,root) %{_bindir}/vfont2ppm
%attr(755,root,root) %{_bindir}/vfont2psf
%attr(755,root,root) %{_bindir}/vfont2txt
%attr(755,root,root) %{_bindir}/vfontxform
%attr(755,root,root) %{_bindir}/wof2psf
%attr(755,root,root) %{_bindir}/wyse2psf
%attr(755,root,root) %{_bindir}/zx2psf
%ghost %{_libdir}/libpsf.so.0
%attr(755,root,root) %{_libdir}/libpsf.so.0.*.*
%{_mandir}/man1/ams2psf.1*
%{_mandir}/man1/cpi2psf.1*
%{_mandir}/man1/cpicomp.1*
%{_mandir}/man1/cpidcomp.1*
%{_mandir}/man1/fnt2psf.1*
%{_mandir}/man1/fnt2vfont.1*
%{_mandir}/man1/fnts2fon.1*
%{_mandir}/man1/fon2fnts.1*
%{_mandir}/man1/mda2psf.1*
%{_mandir}/man1/psf2ams.1*
%{_mandir}/man1/psf2bdf.1*
%{_mandir}/man1/psf2bsd.1*
%{_mandir}/man1/psf2fnt.1*
%{_mandir}/man1/psf2inc.1*
%{_mandir}/man1/psf2pbms.1*
%{_mandir}/man1/psf2raw.1*
%{_mandir}/man1/psf2txt.1*
%{_mandir}/man1/psf2vfont.1*
%{_mandir}/man1/psf2wof.1*
%{_mandir}/man1/psf2wyse.1*
%{_mandir}/man1/psf2xbm.1*
%{_mandir}/man1/psf2zx.1*
%{_mandir}/man1/psfjoin.1*
%{_mandir}/man1/psfmerge.1*
%{_mandir}/man1/psfpages.1*
%{_mandir}/man1/psfs2cpi.1*
%{_mandir}/man1/psfs2mda.1*
%{_mandir}/man1/psfxform.1*
%{_mandir}/man1/raw2psf.1*
%{_mandir}/man1/txt2psf.1*
%{_mandir}/man1/txt2vfont.1*
%{_mandir}/man1/vfont2bdf.1*
%{_mandir}/man1/vfont2fnt.1*
%{_mandir}/man1/vfont2ppm.1*
%{_mandir}/man1/vfont2psf.1*
%{_mandir}/man1/vfont2txt.1*
%{_mandir}/man1/vfontxform.1*
%{_mandir}/man1/wof2psf.1*
%{_mandir}/man1/wyse2psf.1*
%{_mandir}/man1/zx2psf.1*
%{_mandir}/man5/vfont2.5*

%files devel
%defattr(644,root,root,755)
%{_includedir}/psflib.h
%{_includedir}/psfutils.h
%{_libdir}/libpsf.so

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpsf.a
%endif
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psftools.git;a=log;h=master

* Sat Apr 05 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f7aaf7e
- new

